using System;
using System.Reflection;
using System.Xml.XPath; 

namespace MsdnMan.XsltObjects
{
    internal class XPathMethodInfoPair
    {
        private XPathExpression _expression;
        private MethodInfo _method;

        internal XPathMethodInfoPair(XPathExpression expression, MethodInfo method)
        {
            _expression = expression;
            _method = method; 
        }

        internal XPathExpression Expression
        {
            [System.Diagnostics.DebuggerStepThrough]
            get { return _expression; }
        }
        internal MethodInfo Method
        {
            [System.Diagnostics.DebuggerStepThrough]
            get { return _method; }
        }

    }
}
