using System;

namespace MsdnMan.XsltObjects
{
    [AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
    public class MatchAttribute : Attribute
    {
        private string _xpath;

        public MatchAttribute()
        {
        }

        public MatchAttribute(string xpath)
        {
            _xpath = xpath; 
        }

        public string XPath
        {
            get { return _xpath; }
            set { _xpath = value; }
        }
    }
}
